dnl -*-autoconf-*-

### SYNOPSIS
###
###   mdw_AUTO_VERSION
###
### DESCRIPTION
###
###   Defines an m4 macro `AUTO_VERSION' which contains the current package's
###   version number, worked out in some clever way.
###
###   The heavy lifting is performed by the `auto-version' script (q.v.).  In
###   brief:
###
###	* if this is a Git working tree (i.e., there is a `.git' file or
###	  directory at toplevel) then call `git describe' and use its output;
###
###     * if there is a `RELEASE' file, then use its contents literally;
###
###     * if there is a `debian/changelog' file, then use the most recent
###	  entry's version number;
###
###     * otherwise use `UNKNOWN'.
###
### LICENSE
###
###   Copyright (c) 2008 Mark Wooding <mdw@distorted.org.uk>
###
###   This program is free software: you can redistribute it and/or modify it
###   under the terms of the GNU General Public License as published by the
###   Free Software Foundation, either version 2 of the License, or (at your
###   option) any later version.
###
###   This program is distributed in the hope that it will be useful, but
###   WITHOUT ANY WARRANTY; without even the implied warranty of
###   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
###   General Public License for more details.
###
###   You should have received a copy of the GNU General Public License along
###   with this program. If not, see <http://www.gnu.org/licenses/>.
###
###   As a special exception, the respective Autoconf Macro's copyright owner
###   gives unlimited permission to copy, distribute and modify the configure
###   scripts that are the output of Autoconf when processing the Macro. You
###   need not follow the terms of the GNU General Public License when using
###   or distributing such scripts, even though portions of the text of the
###   Macro appear in them. The GNU General Public License (GPL) does govern
###   all other use of the material that constitutes the Autoconf Macro.
###
###   This special exception to the GPL applies to versions of the Autoconf
###   Macro released by the Autoconf Archive. When you make and distribute a
###   modified version of the Autoconf Macro, you may extend this special
###   exception to the GPL to apply to your modified version as well.

# serial 1
AC_DEFUN([mdw_AUTO_VERSION], [m4_define([AUTO_VERSION], m4_esyscmd([
  ver=UNKNOWN
  for pre in ./ config/; do
    try=${pre}auto-version
    if test -x $try; then ver=$("$try"); break; fi
  done
  echo -n "$ver"
]))])
